• Welcome to Simple Machines Community Forum. Please login or sign up.
December 05, 2021, 08:48:00 PM

News:

Want to get involved in developing SMF, then why not lend a hand on our github!


Webinstall - A new way to get SMF!

Started by Thantos, November 29, 2006, 07:45:07 AM

Previous topic - Next topic

blainex


SleePy

Quote from: Thantos on December 02, 2006, 06:55:28 PM
Quote from: djkimmel on December 02, 2006, 06:00:01 PM
Just this:
"Unable to connect to FTP server with this combination of details.

All Access is LOGGED "

I can connect with my FTP client using the same settings.

Webinstall expects a 200 response which means things are ok.  It appears that your server is giving another reponse prior to the 200 response.

Thantos, I have seen similar things when I try to use smf's ftp thing on my mac. It says the same thing but instead of All Access is LOGGED its Welcome to Darwin.
If I could give your a verbose output of what smf gets when it tries to ftp my mac I would..
Think SMF needs a way to identify server messages
Jeremy D — Site Team / SMF Developer
Support the SMF Support team!
Profiles:GitHub
Join us on IRC Libera.chat/#smf

Daniel15

djkimmel, it's something with your FTP server. Check mine:
Quote
Status:   Connecting to ftp.dansoftaustralia.net ...
Status:   Connected with ftp.dansoftaustralia.net. Waiting for welcome message...
Response:   220---------- Welcome to Pure-FTPd [TLS] ----------
Response:   220-You are user number 2 of 50 allowed.
Response:   220-Local time is now 20:01. Server port: 21.
Response:   220-This is a private system - No anonymous login
Response:   220-IPv6 connections are also welcome on this server.
Response:   220 You will be disconnected after 15 minutes of inactivity.
Command:   USER [username]
Response:   331 User dansoft OK. Password required
Command:   PASS ************
Response:   230-User [username] has group access to:  [username]
Response:   230 OK. Current restricted directory is /
Command:   FEAT
Response:   211-Extensions supported:
Response:    EPRT
Response:    IDLE
Response:    MDTM
Response:    SIZE
Response:    REST STREAM
Response:    MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
Response:    MLSD
Response:    ESTP
Response:    PASV
Response:    EPSV
Response:    SPSV
Response:    ESTA
Response:    AUTH TLS
Response:    PBSZ
Response:    PROT
Response:   211 End.
Status:   Connected
Status:   Retrieving directory listing...
Command:   PWD
Response:   257 "/" is your current location
Status:   Directory listing successful
Status:   Retrieving directory listing...
Command:   CWD public_html
Response:   250 OK. Current directory is /public_html
Command:   PWD
Response:   257 "/public_html" is your current location
Command:   PASV
Response:   227 Entering Passive Mode (75,126,41,160,173,20)
Command:   TYPE A
Response:   200 TYPE is now ASCII
Command:   LIST
Response:   150 Accepted data connection
Response:   226-Options: -a -l
Response:   226 33 matches total
Status:   Directory listing successful
All the lines in the MOTD ('Message of the Day', basically the notice on the top) should have  220- on the start of them, but yours only has it on one of the lines.
Daniel15, former Customisation team member, resigned due to lack of time. I still love everyone here :D.
Go to smfshop.com for SMFshop support, do NOT email or PM me!

Simon9863

Problems here also. I had to upgrade manually, because once i ran webinstall.php and submitted the languages and what package to install, i just went to a blank page (with the SMF logo at the top).
The php error log simply told me that memory was exhausted.. and that's something that most people will have problems with, I'd have thought.

Error was this:

PHP Fatal error:  Allowed memory size of 16777216 bytes exhausted (tried to allocate 5785601 bytes) in /path_to_forum/forum/webinstall.php on line 744

Regards
Simon


wineo

Quote from: MaximKat on December 02, 2006, 06:02:01 PM
tried to upgrade from 1.1rc3 to 1.1, but couldn't... :(
script said that it had downloaded files, extracted them and than just redirected me to the board list, version still 1.1rc3
no error messages or anything

The same happened to me, so I tried again without selecting any of the languages and the upgrade worked correctly. When I selected all the English sets, the upgrade kept exiting to the forum without the updates.

SaPKolainen

Hey, admin! I get a following message after webinstalling:

"Sorry, the copyright must be in the template.
Please notify this forum's administrator that this site is using an ILLEGAL copy of SMF!"

What that means ILLEGAL?? No way, its not illegal. Its very large announcement now below in my forum! PLEASE HELP!

IvorH

Hmm I have got the same problem ..

"Sorry, the copyright must be in the template.
Please notify this forum's administrator that this site is using an ILLEGAL copy of SMF!"

Does anybody have any ideas ... all donations most gratefully accepted  ;D

niko

Quote from: IvorH on December 03, 2006, 05:37:38 AM
Hmm I have got the same problem ..

"Sorry, the copyright must be in the template.
Please notify this forum's administrator that this site is using an ILLEGAL copy of SMF!"

Does anybody have any ideas ... all donations most gratefully accepted  ;D

If you select additional languages it won't install main package. So run again without additional languages selected.
Websites: Madjoki || (2 links retracted by team, links out of date and taken over.)
Mods: SMF Arcade, Related topics, SMF Project Tools, Post History

WIP Mods: Bittorrent Tracker || SMF Wiki

mirandamol

Quote from: Thantos on December 01, 2006, 09:15:49 AM
What permission (chmod) setting did you use?

Hi sorry for the late respons

i don't know where is should see that???
i just followd the instructions for automatic install
its says its succesfull completed
but stil nog working

there are a few files that's on the domein

http://forum.bridgetsbasics.com/

maybe its bit to difficult for me, i don't have any clue/experience with mod settings :( or scriptings

with updating, installing website everythings fine, that's on www.bridgetsbasics.com no problems there with updating with ftp

greetings
miranda

Inflame

lol this is pretty funny

I ran the webinstall.php on my server, everything went well
but my forum is still 1.1 RC3 ....


omg what did I do wrong?

Tarek

i have used this installer to install new forum , however , it only extracted the themes folder ,
i used Permissions 644 - 777 , and the same result ..

SaPKolainen

AAGH! Now is the upgrating succesfully, BUT: When I go to the frontpage in my forum, it is an announce: Database error (in my own language, of course), and it is not access log in, not anyone! Admin or non else. Forum logo and front are visible, but no messages or else.

Is it all gone? I have earlier month done a backup in all web site

kegobeer

To everyone with a copyright notice: the webinstall upgrade process did not work for you.  If you have mods installed or you are not currently running RC3, use the large upgrade package and upgrade manually.  If you are running RC3 with no mods, use the small update package.

DO NOT POST SUPPORT REQUESTS IN THIS ANNOUNCEMENT THREAD.
"The truth of the matter is that you always know the right thing to do. The hard part is doing it." - Norman Schwarzkopf
Posting and you (Click "WATCH THIS MOVIE")

SaPKolainen

In where then? When I have a database error, is this the only way restore backup (smf 1.0.9)?

crosinski

I just updated to 1.1 using Webinstall. I'm not really very technologically inclined so I installed the php file, got my settings entered, and clicked the button with palms sweating ... and it went beautifully! Not one hitch!!

Thank you thank you thank you!

Carol

blueray

December 03, 2006, 09:13:29 AM #55 Last Edit: December 03, 2006, 09:21:13 AM by blueray
I'am new to smf. But just download webinstall.php to do the update of my smf 1.1 rc1 live update.
Everything go well. But just some minor issues is that if I have go installed more than one language pack.
It just install the last one. E.g. If I choose s.chinese, t.chinese and japanese. Then, it only got the japanese installed.
This works with default: 644 settings.

This is my upgrade log:
hxxp:www.enekz.frih.net/images/upgrade.php.htm [nonactive]

It is a great job.
Thanks very much.

natcolley

Just to add my two cents, I got a 405 error:

Method Not Allowed
The requested method POST is not allowed for the URL /index.htm.

maverix

Quote from: wineo on December 03, 2006, 03:38:17 AM
Quote from: MaximKat on December 02, 2006, 06:02:01 PM
tried to upgrade from 1.1rc3 to 1.1, but couldn't... :(
script said that it had downloaded files, extracted them and than just redirected me to the board list, version still 1.1rc3
no error messages or anything

The same happened to me, so I tried again without selecting any of the languages and the upgrade worked correctly. When I selected all the English sets, the upgrade kept exiting to the forum without the updates.

Same error here.
I pushed continue button and then I am redirected to the forum as nothing happened. The upgrade.php do not exists in my smf root.
I selected the english_british and the spanish_es languages first.
I tryed again with the spanish_es only too, but nothing.
Then I tryed without languages packages and ok. Upgrade.php begin working with "old language packages" errors. I put manually the upgrade.php?step=1 and now works.

I have upgrade to SMF1.1.








drdave

Hey should I delete webinstall.php from my server after upgrading?

My install was successful.

Thanks
Dave

Thantos

For those that are having some problems:  I added a check in to make sure that a file was writeable before it actually tries to do a write.  Hopefully this will alert you to any problems.

And yes drdave, if the install or upgrade script didn't delete webinstall.php you should remove it.

Advertisement: